<?php

namespace app\mobile\controller;

use app\BaseController;
use app\mobile\logic\ExchangeLogic;
use think\exception\ValidateException;
use think\facade\Config;
use think\facade\Validate;

//兑换
class Exchange extends BaseController
{
    //商品列表
    public function goodList()
    {
        $param = $this->request->only(['page' => 1, 'size' => 10], 'post');
        return ExchangeLogic::goodList($param);
    }

    //商品详情
    public function goodInfo()
    {
        $code = $this->request->post('code', '');

        $val=Validate::rule(Config::get('validate_rules.goodInfo'));
        if(!$val->check(['code'=>$code])) throw new ValidateException($val->getError());

        return ExchangeLogic::goodInfo($code);
    }

}